:root {
  --text-color: rgba(255, 255, 255, 0.9);
}
svg:not(:root) {
  overflow: unset!important;
}
body {
  position: relative;
}
body.skin-fly:before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: -1;
  background: linear-gradient(-45deg, #bb3333, #3638b7, #25b6ac);
  animation: gradient 5s ease infinite;
  background-size: 300% 300%;
}
@keyframes gradient {
  0% {
    background-position: 0 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0 50%;
  }
}
body .page-content {
  transition: all 0.3s;
}
body .page-content.shade {
  opacity: 0.2;
}
body a {
  color: var(--text-color);
}
body a.arrow-effect i {
  transition: all 0.3s;
  transform: translateX(0);
}
body a.arrow-effect:hover i {
  transform: translateX(10px);
}
body img {
  -webkit-touch-callout: none;
  /*系统默认菜单被禁用*/
  -webkit-user-select: none;
  /*webkit浏览器*/
  -khtml-user-select: none;
  /*早期浏览器*/
  -moz-user-select: none;
  /*火狐*/
  -ms-user-select: none;
  /*IE10*/
  user-select: none;
  pointer-events: none;
}
.empty {
  color: rgba(255, 255, 255, 0.6);
  font-size: 15px;
  text-align: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, 10px);
}
body::-webkit-scrollbar {
  width: 14px;
}
body::-webkit-scrollbar-track {
  background: transparent;
  border-radius: 100px;
}
body::scrollbar-track {
  background: transparent;
  border-radius: 100px;
}
body::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, 0.2);
  border-radius: 100px;
}
.cart-bg {
  display: block;
  -webkit-backdrop-filter: blur(15px);
  backdrop-filter: blur(15px);
  width: 100%;
  height: 100vh;
  position: absolute;
  z-index: -99;
  transition: all 0.3s;
  opacity: 0;
}
.cart-bg-on {
  opacity: 1;
  z-index: 2;
}
footer {
  display: block;
  padding-top: 60px;
  background-color: rgba(0, 0, 0, 0.2);
  z-index: 9;
  bottom: 0;
  left: 0;
  width: 100%;
  position: relative;
}
footer .head {
  margin-bottom: 20px;
}
footer .wrapper {
  width: 1400px;
}
footer .wrapper .main {
  display: flex;
  justify-content: space-between;
  width: 1340px;
  margin: 0 auto;
}
footer .wrapper .main .footer-logo {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #FFF;
  font-size: 13px;
}
footer .wrapper .main .footer-logo .logo {
  width: 80px;
}
footer .wrapper .main .footer-logo .logo-text {
  margin: 10px 0;
}
footer .wrapper .main .footer-logo .under {
  display: flex;
  align-items: center;
  border: 1px solid rgba(255, 255, 255, 0.2);
  padding: 16px;
  border-radius: 20px;
}
footer .wrapper .main .footer-logo .under img {
  width: 44px;
  height: 44px;
}
footer .wrapper .main .footer-logo .under span {
  margin-left: 10px;
}
footer .wrapper .main .menu-column {
  display: flex;
  justify-content: space-evenly;
  width: 50%;
}
footer .wrapper .main .menu-column .menu {
  color: rgba(255, 255, 255, 0.9);
  font-weight: 500;
}
footer .wrapper .main .menu-column .menu a {
  color: rgba(255, 255, 255, 0.9);
}
footer .wrapper .main .menu-column .menu .title {
  font-size: 18px;
  font-style: italic;
  font-weight: 700;
}
footer .wrapper .main .menu-column .menu ul {
  margin-top: 30px;
}
footer .wrapper .main .menu-column .menu ul li {
  margin-bottom: 20px;
  font-size: 14px;
}
footer .wrapper .main .menu-column .menu ul li a {
  position: relative;
}
footer .wrapper .main .menu-column .menu ul li a:after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0;
  height: 1px;
  background-color: rgba(255, 255, 255, 0.9);
  -moz-transition: all 0.3s cubic-bezier(0.1, 0, 0, 1);
  -webkit-transition: all 0.3s cubic-bezier(0.1, 0, 0, 1);
  -o-transition: all 0.3s cubic-bezier(0.1, 0, 0, 1);
  -ms-transition: all 0.3s cubic-bezier(0.1, 0, 0, 1);
  transition: all 0.3s cubic-bezier(0.1, 0, 0, 1);
}
footer .wrapper .main .menu-column .menu ul li a:hover:after {
  width: 100%;
}
footer .wrapper .main .other {
  font-size: 10px;
  color: #D6DBDE;
  position: relative;
}
footer .wrapper .main .other .right-box {
  background-color: rgba(255, 255, 255, 0.04);
  padding-bottom: 30px;
  border-radius: 30px;
}
footer .wrapper .main .other .right-box .payment-box {
  position: relative;
  white-space: nowrap;
}
footer .wrapper .main .other .right-box .payment-box .paytext1 {
  position: absolute;
  top: 44px;
  left: 50%;
  transform: translateX(-50%);
}
footer .wrapper .main .other .right-box .payment-box .payments {
  padding: 30px 15px;
}
footer .wrapper .main .other .right-box .payment-box .paytext2 {
  position: absolute;
  bottom: 20px;
  left: 50%;
  transform: translateX(-50%);
}
footer .wrapper .main .other .right-box .dmca-box {
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin-top: 30px;
}
footer .wrapper .description {
  margin-top: 40px;
  border-top: 1px solid rgba(255, 255, 255, 0.2);
  padding: 30px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
footer .wrapper .description .copyright {
  text-align: center;
  color: rgba(255, 255, 255, 0.9);
  font-size: 12px;
}
footer .wrapper .description .trust-box {
  display: flex;
  align-items: center;
}
footer .wrapper .description .trust-box span {
  width: 1px;
  height: 20px;
  margin: 0 20px 0 16px;
  background: rgba(255, 255, 255, 0.2);
  display: inline-block;
  vertical-align: middle;
}
footer .back-top {
  width: 18px;
  position: absolute;
  right: 20px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  -moz-transition: all 0.2s;
  -webkit-transition: all 0.2s;
  -o-transition: all 0.2s;
  -ms-transition: all 0.2s;
  transition: all 0.2s;
}
@media screen and (max-width: 1380px) {
  footer .back-top {
    transform: translateY(20px);
  }
}
footer .back-top .line {
  width: 1px;
  height: 80px;
  transform: translateX(8px);
  margin-bottom: 8px;
  position: relative;
  background-color: transparent;
}
footer .back-top .line:after {
  content: "";
  position: absolute;
  bottom: 0;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.9);
  left: 0;
  height: 60px;
  -webkit-transform-origin: bottom;
  transform-origin: bottom;
  -moz-transition: all 0.2s;
  -webkit-transition: all 0.2s;
  -o-transition: all 0.2s;
  -ms-transition: all 0.2s;
  transition: all 0.2s;
}
footer .back-top .icon {
  width: 6px;
  height: 6px;
  background-color: rgba(255, 255, 255, 0.9);
  border-radius: 50%;
  transform: translateX(6px);
  margin-bottom: 5px;
}
footer .back-top .text {
  color: rgba(255, 255, 255, 0.9);
  text-align: center;
  line-height: 1;
  font-size: 14px;
}
footer .back-top a:hover .line:after {
  content: "";
  position: absolute;
  bottom: 0;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.9);
  left: 0;
  height: 80px;
}
.page-title {
  font-size: 48px;
  color: #fff;
  text-align: center;
  font-weight: 500;
  margin-top: 80px;
}
